# Tìm người

> people_search — Search saved people of the workspace (leads, followers seen, people messaged) by @handle / name, list or tag, with do-not-contact flag and outreach state.

Source: https://x.builera.app/docs/vi/reference/people_search

`people_search` · Đọc dữ liệu đã lưu

> [!NOTE]
> Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.

Search saved people of the workspace (leads, followers seen, people messaged) by @handle / name, list or tag, with do-not-contact flag and outreach state.

| | |
|---|---|
| REST | `GET /api/public/v1/people` |
| Công cụ MCP | `people_search` |
| Quyền cần có | `view` — Chủ, Quản lý, Vận hành, Chỉ xem |
| Nhóm quyền | `audience:read` |
| Nhóm | Liên hệ và danh sách |
| Hiện sẵn trong hồ sơ | Điều khiển nick, Khách & danh sách |

## Đầu vào {#input}

| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
| `query` | string (0–60 chars) | Không |  |
| `list_id` | string (uuid) | Không | Only people in this lead list. |
| `tag` | string (0–30 chars) | Không |  |
| `cursor` | string (0–500 chars) | Không | Opaque cursor from a previous page's next_cursor. |
| `limit` | integer (1–200) | Không | Page size (default 50, max 200). |

## Kết quả {#output}

Trả về trong phong bì `{ data, meta }`, không tạo việc trên X. Danh sách có `next_cursor` và `has_more`.

## Ví dụ {#example}

### Gọi qua REST {#example-rest}

```bash
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/people" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"
```

### Gọi qua MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "people_search",
    "arguments": {}
  }
}
```

## Lỗi có thể gặp {#errors}

| Mã | HTTP | Thử lại được |
|---|---|---|
| [`unauthorized`](/docs/vi/errors/unauthorized) | 401 | Không |
| [`key_expired`](/docs/vi/errors/key_expired) | 401 | Không |
| [`integration_revoked`](/docs/vi/errors/integration_revoked) | 401 | Không |
| [`connection_not_linked`](/docs/vi/errors/connection_not_linked) | 403 | Không |
| [`integration_paused`](/docs/vi/errors/integration_paused) | 403 | Không |
| [`workspace_integrations_paused`](/docs/vi/errors/workspace_integrations_paused) | 403 | Không |
| [`integration_authorization_lost`](/docs/vi/errors/integration_authorization_lost) | 403 | Không |
| [`workspace_suspended`](/docs/vi/errors/workspace_suspended) | 403 | Không |
| [`forbidden`](/docs/vi/errors/forbidden) | 403 | Không |
| [`invalid_input`](/docs/vi/errors/invalid_input) | 422 | Không |
| [`rate_limited`](/docs/vi/errors/rate_limited) | 429 | Có |
| [`internal`](/docs/vi/errors/internal) | 500 | Có |
| [`not_found`](/docs/vi/errors/not_found) | 404 | Không |

[Về danh sách thao tác](/docs/vi/reference)
